> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get a directory

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/

Return the detail information of a directory

Reference: https://docs.partnerpage.io/api-reference/directory/get-a-directory

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory to retrieve

## Response

### 200

Successful operation

- `href` (string, required)
- `id` (string, required)
- `name` (string, required, nullable)
- `organization` (OrganizationDetail, required)
- `settings` (GenericSettings, required) — All resources should return their href url
- `customizations` (MinimalGenericCustomization, required) — All resources should return their href url
- `tracking` (Tracking, required)
- `seo` (GenericDirectorySEO, required)

## Errors

### 404 Not Found Error

- `map from string to any`

## Types

### OrganizationDetail

- `id` (string, required)
- `name` (string, required)

### GenericSettings

All resources should return their href url

- `href` (string, required)
- `genericDirectoryId` (string, required)
- `customUrl` (string, required, nullable)
- `globalCallToActionUrl` (string, required, nullable)
- `globalCallToActionLabel` (string, required, nullable)
- `contactButtonLabel` (string, required, nullable)
- `featuredEntriesEnabled` (boolean, required)
- `entryTypes` (list of enum, required)
  - Allowed values: `app`, `partner`
- `entryTypeSettings` (map from string to BaseEntryTypeSetting, required)
- `pageSizeSelectionOnDirectory` (boolean, required)
- `filterMappingsEnabled` (boolean, required)
- `badgesEnabled` (boolean, required)
- `calloutsEnabled` (boolean, required)
- `customFormsEnabled` (boolean, required)
- `certificationsEnabled` (boolean, required)
- `verificationsEnabled` (boolean, required)
- `callToActionEnabled` (boolean, required)
- `awardsEnabled` (boolean, required)
- `availabilityToggleEnabled` (boolean, required)
- `landingPageEnabled` (boolean, required)
- `customLandingPagesEnabled` (boolean, required)
- `partnerPortalEnabled` (boolean, required)
- `customSlugEnabled` (boolean, required)
- `darkLogosEnabled` (boolean, required)
- `partnerCompareEnabled` (boolean, required)
- `embeddedEditorEnabled` (boolean, required)
- `keywordsEnabled` (boolean, required)
- `questionnaireEnabled` (boolean, required)
- `mediaEnabled` (boolean, required)
- `caseStudiesEnabled` (boolean, required)
- `clientsEnabled` (boolean, required)
- `testimonialsEnabled` (boolean, required)
- `specialOffersEnabled` (boolean, required)
- `contactRequestsEnabled` (boolean, required)
- `dealRegistrationsEnabled` (boolean, required)
- `partnerSourcedLeadsRequireApproval` (boolean, required)
- `crmConnectionsEnabled` (boolean, required)
- `tiersEnabled` (boolean, required)
- `matchmakingRequestsEnabled` (boolean, required)
- `matchmakingRequestsPublic` (boolean, required)
- `partnerApplicationsEnabled` (boolean, required)
- `getListedEnabled` (boolean, required)
- `assignMatchmakingRequestEnabled` (boolean, required)
- `useCasesEnabled` (boolean, required)
- `accreditationsEnabled` (boolean, required)
- `externalUrlEnabled` (boolean, required)
- `externalIdEnabled` (boolean, required)
- `externalIdUnique` (boolean, required)
- `partnerWebhooksEnabled` (boolean, required)
- `partnerApplicationDeclinedEmailEnabled` (boolean, required)
- `partnerApplicationAcceptanceMessage` (string, required, nullable)
- `showBottomBar` (boolean, required)
- `legacyPartnerViewEnabled` (boolean, required)
- `profileSectionOrderingEnabled` (boolean, required)
- `hostedPagesDisabled` (boolean, required)
- `profilePreviewUrlTemplate` (string, required)
- `holdRepeatedRequestsEnabled` (boolean, required)
- `serviceMarketplaceEnabled` (boolean, required)
- `recommendedSortEnabled` (boolean, required)
- `internalDirectoryEnabled` (boolean, required)
- `defaultSorting` (string, required)
- `entryApprovalFlowEnabled` (boolean, required)
- `supportEnabled` (boolean, required)
- `locationEnabled` (boolean, required)
- `locationsEnabled` (boolean, required)
- `contactRequestProjectStatusesEnabled` (boolean, required)
- `contactDetailsAfterAcceptEnabled` (boolean, required)
- `partnersInvitationsEnabled` (boolean, required)
- `lastUpdatedEnabled` (boolean, required)
- `entryDisclaimerTextEnabled` (boolean, required)
- `gdprEnabled` (boolean, required)
- `termsOfServiceUrl` (GenericSettingsTermsOfServiceUrl, required, nullable)
- `privacyPolicyUrl` (GenericSettingsPrivacyPolicyUrl, required, nullable)
- `integrationDescriptionEnabled` (boolean, required)
- `partnerEmbedEnabled` (boolean, required)
- `partnerDescriptionMaxLength` (integer, required, nullable)
- `reviewsEnabled` (boolean, required)
- `autoApproveReviewsEnabled` (boolean, required)
- `showFullReviewInformationEnabled` (boolean, required)
- `showDescriptionOnCard` (boolean, required)
- `i18nEnabled` (boolean, required)
- `i18nMode` (enum, required, nullable) — * `prefix` - Prefix * `query_param` - Query param
  - Allowed values: `prefix`, `query_param`
- `i18nLanguages` (any, required, nullable)
- `i18nDynamicContentTranslationEnabled` (boolean, required, nullable)
- `partnerFinderEnabled` (boolean, required)
- `badgesShowWideEnabled` (boolean, required)
- `crmObjectsEnabled` (boolean, required)
- `schedulerEnabled` (boolean, required)
- `schedulerPostCallFeedbackEnabled` (boolean, required)
- `enrichProfileDirOwnerEnabled` (boolean, required)
- `enrichProfileEntryOwnerEnabled` (boolean, required)
- `entryWebsiteLinkEnabled` (boolean, required)
- `contactRequestsCustomFieldsForm` (string, required, nullable)
- `requireBusinessEmailForLeadForms` (boolean, required)
- `selfServeSettingsEnabled` (boolean, required)
- `indexDirectory` (boolean, required)
- `type` (string, required)
- `plan` (string, required)
- `urlCustomizationEnabled` (boolean, required)
- `webhooksEnabled` (boolean, required)
- `webhooksSecret` (string, required)
- `customUrlSetupMethod` (string, required, nullable)
- `customDomainRouterId` (string, required, nullable)
- `entryDisclaimerText` (string, optional, nullable)
- `profileFieldsEnabled` (boolean, optional, default: false)
- `profileFieldDefinitions` (list of ProfileFieldDefinitionSerializerReader, optional)
- `friendlySubdomain` (string, optional, nullable)
- `friendlyUrl` (string, optional, nullable)

### MinimalGenericCustomization

All resources should return their href url

- `href` (string, required)
- `genericDirectoryId` (string, required)
- `logo` (string, required, nullable)
- `internalLogo` (string, required, nullable)
- `favicon` (string, required, nullable)
- `internalFavicon` (string, required, nullable)
- `logoUrl` (string, required, nullable)
- `internalLogoUrl` (string, required, nullable)
- `faviconUrl` (string, required, nullable)
- `internalFaviconUrl` (string, required, nullable)
- `interactiveColor` (string, required)
- `actionPrimaryColor` (string, required)
- `colorsTheme` (any, optional, nullable)
- `fontFamily` (any, optional, nullable)
- `cssFile` (string, optional, nullable)
- `customNavbar` (CustomizationSection, optional, nullable)
- `directoryFeaturedSection` (FeaturedSection, optional, nullable)
- `directoryMainSection` (DirectoryMainSection, optional, nullable)
- `customFirstSection` (CustomizationSection, optional, nullable)
- `customSecondSection` (CustomizationSection, optional, nullable)
- `customLastSection` (CustomizationSection, optional, nullable)
- `customFooter` (CustomizationSection, optional, nullable)
- `landingPageHero` (any, optional, nullable)
- `landingPageMetrics` (any, optional, nullable)
- `landingPagePartners` (any, optional, nullable)
- `landingPageProcess` (any, optional, nullable)
- `landingPageReviews` (any, optional, nullable)
- `partnerProfileHeader` (any, optional, nullable)
- `partnerProfileMain` (any, optional, nullable)
- `partnerProfileReviews` (any, optional, nullable)
- `reviewFormMain` (any, optional, nullable)
- `contactFormMain` (any, optional, nullable)
- `matchmakingFormMain` (any, optional, nullable)
- `dealRegistrationFormMain` (any, optional, nullable)
- `matchmakingSuccessMain` (any, optional, nullable)
- `partnerApplicationSuccessMain` (any, optional, nullable)
- `contactRequestSuccessMain` (any, optional, nullable)
- `dealRegistrationSuccessMain` (any, optional, nullable)
- `partnerApplicationFormMain` (any, optional, nullable)
- `customPartnerProfileLastSection` (any, optional, nullable)

### Tracking

- `umamiWebsiteId` (string, required, nullable)
- `umamiShareId` (string, required, nullable)
- `internalUmamiWebsiteId` (string, optional, nullable)
- `internalUmamiShareId` (string, optional, nullable)

### GenericDirectorySEO

- `indexDirectory` (boolean, required)
- `metaTitle` (string, optional, nullable)
- `metaDescription` (string, optional, nullable)
- `metaImage` (string, optional, nullable)
- `siteName` (string, optional, nullable)

### BaseEntryTypeSetting

- `urlSegment` (string, required)
- `onCardClick` (string, optional)
- `showCardLinksAsInternal` (boolean, optional)

### GenericSettingsTermsOfServiceUrl

- string
- string

### GenericSettingsPrivacyPolicyUrl

- string
- string

### ProfileFieldDefinitionSerializerReader

- `id` (string, required)
- `key` (string, required)
- `name` (string, required)
- `helpText` (string, required)
- `type` (enum, required) — * `short_text` - Short text * `long_text` - Long text * `integer` - Whole number * `decimal` - Decimal * `currency` - Currency amount * `price` - Price * `date` - Date * `single_choice` - Single choice * `multiple_choice` - Multiple choice * `boolean` - Yes/no * `url` - Link * `email` - Email * `phone` - Phone * `image` - Image * `file` - File
  - Allowed values: `short_text`, `long_text`, `integer`, `decimal`, `currency`, `price`, `date`, `single_choice`, `multiple_choice`, `boolean`, `url`, `email`, `phone`, `image`, `file`
- `required` (boolean, required)
- `visibility` (enum, required) — * `internal` - Internal * `public` - Public
  - Allowed values: `internal`, `public`
- `editableBy` (enum, required) — * `partner` - Partner can edit * `owner` - Only the directory owner can edit
  - Allowed values: `partner`, `owner`
- `placement` (enum, required) — * `sidebar` - Sidebar * `main` - Main column
  - Allowed values: `sidebar`, `main`
- `order` (integer, required)
- `rules` (map from string to any, required)
- `archivedAt` (datetime, required, nullable)
- `restoreUntil` (datetime, required, nullable)
- `filledCount` (integer, optional)

### CustomizationSection

- `name` (string, required)
- `settings` (any, required)

### FeaturedSection

- `title` (string, required, nullable)
- `background` (string, required, nullable)

### DirectoryMainSection

- `title` (string, required, nullable)
- `background` (string, required, nullable)
- `matchmakingCard` (MatchmakingCard, required, nullable)
- `requestLink` (RequestLink, optional)
- `searchPlaceholder` (string, optional, nullable)

### MatchmakingCard

- `title` (string, required, nullable)
- `description` (string, required, nullable)
- `introduction` (string, required, nullable)
- `image` (MatchmakingCardImage, required, nullable)
- `buttonLabel` (string, required, nullable)

### RequestLink

- `title` (string, required, nullable)
- `buttonLabel` (string, required, nullable)
- `url` (RequestLinkUrl, required, nullable)

### MatchmakingCardImage

- string
- string

### RequestLinkUrl

- string
- string

## Examples

**Response**

```json
{
  "href": "/api/directory/private/v1alpha/directories/3fa85f64-5717-4562-b3fc-2c963f66afa6/",
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Acme Directory",
  "organization": {
    "id": "string",
    "name": "Acme Inc."
  },
  "settings": {
    "href": "string",
    "genericDirectoryId": "string",
    "customUrl": "https://acme.com/directory/",
    "globalCallToActionUrl": "string",
    "globalCallToActionLabel": "string",
    "contactButtonLabel": "string",
    "featuredEntriesEnabled": false,
    "entryTypes": [
      "app",
      "partner"
    ],
    "entryTypeSettings": {
      "app": {
        "urlSegment": "app",
        "onCardClick": "details"
      },
      "partner": {
        "urlSegment": "partner"
      }
    },
    "pageSizeSelectionOnDirectory": true,
    "filterMappingsEnabled": false,
    "badgesEnabled": true,
    "calloutsEnabled": true,
    "customFormsEnabled": true,
    "certificationsEnabled": true,
    "verificationsEnabled": true,
    "callToActionEnabled": true,
    "awardsEnabled": true,
    "availabilityToggleEnabled": true,
    "landingPageEnabled": true,
    "customLandingPagesEnabled": true,
    "partnerPortalEnabled": true,
    "customSlugEnabled": true,
    "darkLogosEnabled": true,
    "partnerCompareEnabled": true,
    "embeddedEditorEnabled": true,
    "keywordsEnabled": true,
    "questionnaireEnabled": true,
    "mediaEnabled": true,
    "caseStudiesEnabled": true,
    "clientsEnabled": true,
    "testimonialsEnabled": true,
    "specialOffersEnabled": true,
    "contactRequestsEnabled": true,
    "dealRegistrationsEnabled": true,
    "partnerSourcedLeadsRequireApproval": true,
    "crmConnectionsEnabled": true,
    "tiersEnabled": true,
    "matchmakingRequestsEnabled": true,
    "matchmakingRequestsPublic": true,
    "partnerApplicationsEnabled": true,
    "getListedEnabled": true,
    "assignMatchmakingRequestEnabled": true,
    "useCasesEnabled": true,
    "accreditationsEnabled": true,
    "externalUrlEnabled": true,
    "externalIdEnabled": true,
    "externalIdUnique": true,
    "partnerWebhooksEnabled": true,
    "partnerApplicationDeclinedEmailEnabled": true,
    "partnerApplicationAcceptanceMessage": "string",
    "showBottomBar": true,
    "legacyPartnerViewEnabled": true,
    "profileSectionOrderingEnabled": true,
    "hostedPagesDisabled": true,
    "profilePreviewUrlTemplate": "string",
    "holdRepeatedRequestsEnabled": true,
    "serviceMarketplaceEnabled": true,
    "recommendedSortEnabled": true,
    "internalDirectoryEnabled": true,
    "defaultSorting": "string",
    "entryApprovalFlowEnabled": true,
    "supportEnabled": true,
    "locationEnabled": true,
    "locationsEnabled": true,
    "contactRequestProjectStatusesEnabled": true,
    "contactDetailsAfterAcceptEnabled": true,
    "partnersInvitationsEnabled": true,
    "lastUpdatedEnabled": true,
    "entryDisclaimerTextEnabled": true,
    "gdprEnabled": true,
    "termsOfServiceUrl": "string",
    "privacyPolicyUrl": "string",
    "integrationDescriptionEnabled": true,
    "partnerEmbedEnabled": true,
    "partnerDescriptionMaxLength": 1,
    "reviewsEnabled": true,
    "autoApproveReviewsEnabled": true,
    "showFullReviewInformationEnabled": true,
    "showDescriptionOnCard": true,
    "i18nEnabled": true,
    "i18nMode": "prefix",
    "i18nLanguages": null,
    "i18nDynamicContentTranslationEnabled": true,
    "partnerFinderEnabled": true,
    "badgesShowWideEnabled": true,
    "crmObjectsEnabled": true,
    "schedulerEnabled": true,
    "schedulerPostCallFeedbackEnabled": true,
    "enrichProfileDirOwnerEnabled": true,
    "enrichProfileEntryOwnerEnabled": true,
    "entryWebsiteLinkEnabled": true,
    "contactRequestsCustomFieldsForm": "string",
    "requireBusinessEmailForLeadForms": true,
    "selfServeSettingsEnabled": true,
    "indexDirectory": true,
    "type": "string",
    "plan": "string",
    "urlCustomizationEnabled": true,
    "webhooksEnabled": true,
    "webhooksSecret": "string",
    "customUrlSetupMethod": "string",
    "customDomainRouterId": "string",
    "assign_matchmaking_request_enabled": false,
    "awards_enabled": false,
    "badges_enabled": true,
    "call_to_action_enabled": false,
    "callouts_enabled": false,
    "certifications_enabled": true,
    "clients_enabled": false,
    "contact_details_after_accept_enabled": false,
    "contact_request_project_statuses_enabled": false,
    "contact_requests_enabled": false,
    "custom_forms_enabled": false,
    "custom_landing_pages_enabled": false,
    "custom_slug_enabled": false,
    "dark_logos_enabled": false,
    "default_sorting": "random",
    "embedded_editor_enabled": false,
    "entry_approval_flow_enabled": false,
    "entry_disclaimer_text": "",
    "entry_disclaimer_text_enabled": "",
    "external_url_enabled": false,
    "filter_mappings_enabled": false,
    "get_listed_enabled": true,
    "hosted_pages_disabled": false,
    "i18n_dynamic_content_translation_enabled": null,
    "integration_description_enabled": false,
    "internal_directory_enabled": false,
    "keywords_enabled": false,
    "last_updated_enabled": false,
    "location_enabled": false,
    "matchmaking_requests_enabled": false,
    "matchmaking_requests_public": false,
    "media_enabled": false,
    "page_size_selection_on_directory": true,
    "partner_applications_enabled": true,
    "partner_compare_enabled": false,
    "partner_embed_enabled": false,
    "partners_invitations_enabled": true,
    "profile_preview_url_template": "",
    "profile_section_ordering_enabled": false,
    "questionnaire_enabled": false,
    "recommended_sort_enabled": false,
    "show_bottom_bar": true,
    "special_offers_enabled": false,
    "support_enabled": false,
    "testimonials_enabled": false,
    "tiers_enabled": false,
    "use_cases_enabled": false,
    "verifications_enabled": false
  },
  "customizations": {
    "href": "string",
    "genericDirectoryId": "string",
    "logo": "https://cdn.partnerpage.io/media/logos/3fa85f64-5717-4562-b3fc-2c963f66afa6/logo.png",
    "internalLogo": "string",
    "favicon": "https://cdn.partnerpage.io/media/favicons/3fa85f64-5717-4562-b3fc-2c963f66afa6/logo.png",
    "internalFavicon": "string",
    "logoUrl": "https://cdn.partnerpage.io/media/logos/3fa85f64-5717-4562-b3fc-2c963f66afa6/logo.png",
    "internalLogoUrl": "string",
    "faviconUrl": "https://cdn.partnerpage.io/media/favicons/3fa85f64-5717-4562-b3fc-2c963f66afa6/logo.png",
    "internalFaviconUrl": "string",
    "interactiveColor": "#FFFFFF",
    "actionPrimaryColor": "#AAAAAA",
    "colorsTheme": null,
    "cssFile": "https://cdn.partnerpage.io/media/css/3fa85f64-5717-4562-b3fc-2c963f66afa6/custom.css",
    "custom_first_section": {
      "name": "SectionCommonCode",
      "settings": {
        "html": "<section>FIRST SECTION</section>"
      }
    },
    "custom_footer": {
      "name": "SectionCommonCode",
      "settings": {
        "html": "<div>FOOTER</div>"
      }
    },
    "custom_last_section": {
      "name": "SectionCommonCode",
      "settings": {
        "html": "<section>LAST SECTION</section>"
      }
    },
    "custom_navbar": {
      "name": "SectionCommonCode",
      "settings": {
        "html": "<nav>NEW NAVBAR</nav>",
        "slotMeta": {
          "fixed": false,
          "fixedHeight": null
        }
      }
    },
    "custom_second_section": {
      "name": "SectionCommonCode",
      "settings": {
        "html": "<section>SECOND SECTION</section>"
      }
    },
    "directory_featured_section": {
      "title": "Featured partners"
    },
    "directory_main_section": {
      "request_link": {
        "button_label": "Ask us",
        "title": "Missing an app?",
        "url": "https://www.example.com/request"
      },
      "search_placeholder": "Search members or keywords",
      "title": "Find partners"
    }
  },
  "tracking": {
    "umamiWebsiteId": "b2064f90-5fbd-427a-a7d3-d1e47b4a1900",
    "umamiShareId": "string",
    "umamuShareId": "ChX32kmasdf"
  },
  "seo": {
    "indexDirectory": true,
    "metaTitle": "Acme Inc. Directory",
    "metaDescription": "Discover Acme Inc. partners and apps.",
    "metaImage": "https://cdn.partnerpage.io/media/logos/3fa85f64-5717-4562-b3fc-2c963f66afa6/logo.png",
    "siteName": "Acme Inc."
  }
}
```

**SDK Code**

```python application/json example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript application/json example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```